ChangeSet 1.1587.12.69, 2004/04/30 15:21:59-07:00, eike-hotplug@sf-tec.de

[PATCH] SHPC PCI Hotplug: kill hardware_test

shpchp_core.c::hardware_test is empty. If we remove it we tell the user that
hardware tests are not supported at all.


 drivers/pci/hotplug/shpchp_core.c |    9 ---------
 1 files changed, 9 deletions(-)


diff -Nru a/drivers/pci/hotplug/shpchp_core.c b/drivers/pci/hotplug/shpchp_core.c
--- a/drivers/pci/hotplug/shpchp_core.c	Mon May 17 16:58:47 2004
+++ b/drivers/pci/hotplug/shpchp_core.c	Mon May 17 16:58:47 2004
@@ -70,7 +70,6 @@
 static int set_attention_status (struct hotplug_slot *slot, u8 value);
 static int enable_slot		(struct hotplug_slot *slot);
 static int disable_slot		(struct hotplug_slot *slot);
-static int hardware_test	(struct hotplug_slot *slot, u32 value);
 static int get_power_status	(struct hotplug_slot *slot, u8 *value);
 static int get_attention_status	(struct hotplug_slot *slot, u8 *value);
 static int get_latch_status	(struct hotplug_slot *slot, u8 *value);
@@ -83,7 +82,6 @@
 	.set_attention_status =	set_attention_status,
 	.enable_slot =		enable_slot,
 	.disable_slot =		disable_slot,
-	.hardware_test =	hardware_test,
 	.get_power_status =	get_power_status,
 	.get_attention_status =	get_attention_status,
 	.get_latch_status =		get_latch_status,
@@ -276,13 +274,6 @@
 
 	return shpchp_disable_slot(slot);
 }
-
-
-static int hardware_test (struct hotplug_slot *hotplug_slot, u32 value)
-{
-	return 0;
-}
-
 
 static int get_power_status (struct hotplug_slot *hotplug_slot, u8 *value)
 {
